Summary: Arbitrary precision calculator language
Name: bc
Version: 1.07.1
Release: r0
License: GPL-3.0-or-later
Group: base
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: http://www.gnu.org/software/bc/bc.html
Source0: run-ptest
Source1: no-gen-libmath.patch
Source2: libmath.h
Source3: 0001-dc-fix-exit-code-of-q-command.patch
Source4: bc-1.07.1.tar.gz
Source5: series
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: flex-native
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: readline
BuildRequires: texinfo-dummy-native
BuildRequires: virtual/aarch64-poky-linux-compilerlibs
BuildRequires: virtual/aarch64-poky-linux-gcc
BuildRequires: virtual/libc
BuildRequires: virtual/update-alternatives
Requires: ld-linux-aarch64.so.1()(64bit)
Requires: ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libreadline.so.8()(64bit)
Requires: libreadline8 >= 8.2.13
Requires: rtld(GNU_HASH)
Requires: update-alternatives-opkg
Requires(post): ld-linux-aarch64.so.1()(64bit)
Requires(post): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.17)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc.so.6(GLIBC_2.38)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): libreadline.so.8()(64bit)
Requires(post): libreadline8 >= 8.2.13
Requires(post): rtld(GNU_HASH)
Requires(post): update-alternatives-opkg
Requires(preun): ld-linux-aarch64.so.1()(64bit)
Requires(preun): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.17)(64bit)
Requires(preun): libc.so.6(GLIBC_2.33)(64bit)
Requires(preun): libc.so.6(GLIBC_2.34)(64bit)
Requires(preun): libc.so.6(GLIBC_2.38)(64bit)
Requires(preun): libc6 >= 2.40+git0+efb710034e
Requires(preun): libreadline.so.8()(64bit)
Requires(preun): libreadline8 >= 8.2.13
Requires(preun): rtld(GNU_HASH)
Requires(preun): update-alternatives-opkg
Provides: /usr/bin/bc
Provides: /usr/bin/dc

%description
bc is an arbitrary precision numeric processing language. Syntax is similar
to C, but differs in many substantial areas. It supports interactive
execution of statements.

%package -n bc-src
Summary: Arbitrary precision calculator language - Source files
License: GPL-3.0-or-later
Group: devel

%description -n bc-src
bc is an arbitrary precision numeric processing language. Syntax is similar
to C, but differs in many substantial areas. It supports interactive
execution of statements.  This package contains sources for debugging
purposes.

%package -n bc-dbg
Summary: Arbitrary precision calculator language - Debugging files
License: GPL-3.0-or-later
Group: devel
Recommends: glibc-dbg
Recommends: readline-dbg

%description -n bc-dbg
bc is an arbitrary precision numeric processing language. Syntax is similar
to C, but differs in many substantial areas. It supports interactive
execution of statements.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n bc-ptest
Summary: Arbitrary precision calculator language - Package test files
License: GPL-3.0-or-later
Group: devel
Requires: /bin/sh
Requires: bc
Recommends: ptest-runner

%description -n bc-ptest
bc is an arbitrary precision numeric processing language. Syntax is similar
to C, but differs in many substantial areas. It supports interactive
execution of statements.  This package contains a test directory
/usr/lib/bc/ptest for package test purposes.

%package -n bc-staticdev
Summary: Arbitrary precision calculator language - Development files (Static Libraries)
License: GPL-3.0-or-later
Group: devel
Requires: bc-dev = 1.07.1-r0

%description -n bc-staticdev
bc is an arbitrary precision numeric processing language. Syntax is similar
to C, but differs in many substantial areas. It supports interactive
execution of statements.  This package contains static libraries for
software development.

%package -n bc-dev
Summary: Arbitrary precision calculator language - Development files
License: GPL-3.0-or-later
Group: devel
Recommends: bc = 1.07.1-r0
Recommends: glibc-dev
Recommends: readline-dev
Recommends: update-alternatives-opkg-dev

%description -n bc-dev
bc is an arbitrary precision numeric processing language. Syntax is similar
to C, but differs in many substantial areas. It supports interactive
execution of statements.  This package contains symbolic links, header
files, and related items necessary for software development.

%package -n bc-doc
Summary: Arbitrary precision calculator language - Documentation files
License: GPL-3.0-or-later
Group: doc

%description -n bc-doc
bc is an arbitrary precision numeric processing language. Syntax is similar
to C, but differs in many substantial areas. It supports interactive
execution of statements.  This package contains documentation.

%package -n bc-locale
Summary: Arbitrary precision calculator language
License: GPL-3.0-or-later
Group: base

%description -n bc-locale
bc is an arbitrary precision numeric processing language. Syntax is similar
to C, but differs in many substantial areas. It supports interactive
execution of statements.

%post
# bc - postinst
#!/bin/sh
set -e
	update-alternatives --install /usr/bin/bc bc /usr/bin/bc.bc 100
	update-alternatives --install /usr/bin/dc dc /usr/bin/dc.bc 100


%preun
# bc - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
set -e
	update-alternatives --remove  bc /usr/bin/bc.bc
	update-alternatives --remove  dc /usr/bin/dc.bc
fi

%files
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) "/usr/bin/bc.bc"
%attr(755,root,root) "/usr/bin/dc.bc"

%files -n bc-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/bc"
%attr(755,root,root) %dir "/usr/src/debug/bc/1.07.1"
%attr(755,root,root) %dir "/usr/src/debug/bc/1.07.1/dc"
%attr(755,root,root) %dir "/usr/src/debug/bc/1.07.1/bc"
%attr(755,root,root) %dir "/usr/src/debug/bc/1.07.1/h"
%attr(755,root,root) %dir "/usr/src/debug/bc/1.07.1/lib"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/dc/stack.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/dc/eval.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/dc/dc.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/dc/array.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/dc/string.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/dc/dc-proto.h"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/dc/numeric.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/dc/misc.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/dc/dc.h"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/bc/load.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/bc/execute.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/bc/storage.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/bc/global.h"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/bc/scan.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/bc/global.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/bc/proto.h"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/bc/util.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/bc/bc.h"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/bc/warranty.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/bc/main.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/bc/bcdefs.h"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/bc/bc.c"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/h/getopt.h"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/h/number.h"
%attr(644,root,root) "/usr/src/debug/bc/1.07.1/lib/number.c"

%files -n bc-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/bin/.debug"
%attr(755,root,root) "/usr/bin/.debug/bc.bc"
%attr(755,root,root) "/usr/bin/.debug/dc.bc"

%files -n bc-ptest
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/lib/bc"
%attr(755,root,root) %dir "/usr/lib/bc/ptest"
%attr(755,root,root) "/usr/lib/bc/ptest/run-ptest"
%attr(755,root,root) "/usr/lib/bc/ptest/atan.b"
%attr(755,root,root) "/usr/lib/bc/ptest/fact.b"
%attr(755,root,root) "/usr/lib/bc/ptest/array.b"
%attr(755,root,root) "/usr/lib/bc/ptest/sqrt1.b"
%attr(755,root,root) "/usr/lib/bc/ptest/checklib.b"
%attr(755,root,root) "/usr/lib/bc/ptest/sqrt2.b"
%attr(755,root,root) "/usr/lib/bc/ptest/sqrt.b"
%attr(755,root,root) "/usr/lib/bc/ptest/testfn.b"
%attr(755,root,root) "/usr/lib/bc/ptest/mul.b"
%attr(755,root,root) "/usr/lib/bc/ptest/exp.b"
%attr(755,root,root) "/usr/lib/bc/ptest/sine.b"
%attr(755,root,root) "/usr/lib/bc/ptest/aryprm.b"
%attr(755,root,root) "/usr/lib/bc/ptest/jn.b"
%attr(755,root,root) "/usr/lib/bc/ptest/div.b"
%attr(755,root,root) "/usr/lib/bc/ptest/raise.b"
%attr(755,root,root) "/usr/lib/bc/ptest/ln.b"
%attr(755,root,root) "/usr/lib/bc/ptest/arrayp.b"

%files -n bc-dev
%defattr(-,-,-,-)

%files -n bc-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/info"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(644,root,root) "/usr/share/man/man1/dc.1"
%attr(644,root,root) "/usr/share/man/man1/bc.1"
%attr(644,root,root) "/usr/share/info/dc.info"
%attr(644,root,root) "/usr/share/info/bc.info"

%%prep
echo "include logs and patches, Please check them in SOURCES"

